This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 101307 - Corrupt attachments
Corrupt attachments
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 15:13 EDT by Stephen Tweedie
Modified: 2007-04-18 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sample attachment demonstrating the problem locally. (6.58 KB, text/plain)
2003-07-30 15:14 EDT, Stephen Tweedie
no flags Details
Dump of the email as received. (6.03 KB, text/plain)
2003-07-30 15:22 EDT, Stephen Tweedie
no flags Details

  None (edit)
Description Stephen Tweedie 2003-07-30 15:13:53 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Evolution reliably corrupts certain email attachments by truncating them.

Steps to Reproduce:
1. Send the attached file as an attachment.
    
Actual results:
Watch half of it fail to reach the recipient.

Expected results:
I'd like the whole thing to be sent, please.

Additional info:

version evolution-1.2.2-5

The file appears to be truncated where the quoted-printable encoding wraps a
line containing a "." on the last character, such that the "." gets wrapped to a
single line of its own.  The attachment gets truncated at that point: the line
with the single "." gets thrown away.  It's common for MTAs to treat a single
"." as end-of-text so I suspect such an interaction here.
Comment 1 Stephen Tweedie 2003-07-30 15:14:56 EDT
Created attachment 93266 [details]
sample attachment demonstrating the problem locally.
Comment 2 Stephen Tweedie 2003-07-30 15:22:57 EDT
Created attachment 93267 [details]
Dump of the email as received.
Comment 3 Jeremy Katz 2003-07-30 16:44:17 EDT
How are you set up to send mail -- via sendmail locally or by connecting via
SMTP to a remote host?
Comment 4 Stephen Tweedie 2003-07-30 18:45:47 EDT
Local sendmail.
Comment 5 Dietmar Bloedorn 2003-11-17 01:46:21 EST
I have also experieced trouble with corrupt attachments.  I have not
had a chance to check whether the message is truncated, but I am
having reproducible problems with PDF attachments.  When zipped, the
attached file appears to pass through without difficulty.  It looks
the same as the problem described here.   Is there a fix coming for this?
Comment 6 Dave Malcolm 2004-09-20 22:23:29 EDT
I'm sorry that this bug hasn't had any activity for so long.

Have either of you experienced similar problems with more recent
versions of Evolution?  (version 1.2.2-5 is reported above, we're
almost at evolution-2.0.0 in rawhide)
Comment 7 Bill Nottingham 2006-10-18 14:24:21 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.